Subject: [BLISS] RE: [RAI] new proposed BoF and mailing list on feature interopera bility

From: "Elwell, John" <[email-masked]>
Date: Tue, 23 Jan 2007 11:11:31 +0000

I think this is a good initiative. Many of the suggestions for services that
have been posted in the last couple of days can already be achieved using
SIP, but there are different interpretations how to go about it. Therefore
BCPs are needed to make clear recommendations. In a few cases, additional
syntax may be needed (e.g., for achieving the DND service), but hopefully
these will be relatively few.

I think we should focus on a fairly small list of services initially and add
more as we gain experience. The proposed list is a good start.

John 

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]] 
> Sent: 19 January 2007 21:03
> To: IETF Sipping List; [email-masked]
> Subject: [RAI] new proposed BoF and mailing list on feature 
> interoperability
> 
> Please do not reply to this mail.
> 
> SIP has come a long way in terms of interoperability over the years. 
> However, there are several places where we still have a poor track 
> record of interoperability. One of these is in the area of 
> more advanced 
> types of features. These include many of the features traditionally 
> found on enterprise PBXs, such as park/pickup, shared line extension, 
> and so on. There has been sporadic work on this topic, with 
> many drafts, 
> but no real solution yet.
> 
> There is a real need to get these interoperability problems 
> solved. This 
> need is coming from the IP PBX/Centrex side and from the 
> consumer side, 
> from groups like TISPAN that want some of these features to work.
> 
> The interop problems stem from several root cause issues. One is too 
> much variety in the way these features can be implemented. 
> This is good 
> from a flexibility point of view, but it causes interop problems when 
> both endpoints do things differently and won't work together as a 
> consequence. Another problem is lack of sufficient functionality from 
> the specs, in which cases people turn to proprietary 
> techniques. Combine 
> this with the standard "dont want to implement the right 
> thing because 
> its too hard" and general bug problems, and its a mess.
> 
> To fix this, I think it makes sense to start a working group thats 
> formally tasked with the problem. The idea is to take on individual 
> features, one at a time, figure out the real issues causing interop 
> problems, and address them by either writing some 
> requirements for sip 
> enhancements, or developing some BCPs or informational documents 
> specifying minimum interop requirements. Its also important 
> to do this 
> without trying to formally define what the feature is; we 
> want to allow 
> variation as much as possible while preserving interop.
> 
> I've been with Cullen, Shida Schubert and a number of others 
> on getting 
> a BoF going in Prague on this. We've got a mailing list that 
> is now set 
> up, and a proposed charter, all of which can be found here:
> 
> http://sip101.net/index.html
> 
> Please join the list and participate in the discussions. The 
> more of it 
> we can have prior to Prague, the better the chances we can 
> arrive there 
> with a charter and deliverables that are on target.
> 
> Thanks,
> Jonathan R.
> -- 
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Cisco Fellow                                   Parsippany, NJ 
> 07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
> 
> _______________________________________________
> RAI mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rai
> 

_______________________________________________
BLISS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bliss